Loading...
Searching...
No Matches
BALL::ParamFile::ParameterDescription Struct Reference

`#include <BALL/FORMAT/paramFile.h>`

## Public Member Functions

| ParameterDescription ()

## Public Attributes

String | name
String | description
String | category
bool | mandatory
bool | advanced
ParameterType | type
list< String > | allowed_values
list< String > | supported_formats
bool | hidden

## Detailed Description

Definition at line 45 of file paramFile.h.

## Constructor & Destructor Documentation

## ParameterDescription()

BALL::ParamFile::ParameterDescription::ParameterDescription | ( |  | ) |

inline

Definition at line 48 of file paramFile.h.

## Member Data Documentation

## advanced

bool BALL::ParamFile::ParameterDescription::advanced

Definition at line 65 of file paramFile.h.

## allowed_values

list<String> BALL::ParamFile::ParameterDescription::allowed_values

If this list is empty, then there are no restrictions on the value of the parameter

Definition at line 69 of file paramFile.h.

## category

String BALL::ParamFile::ParameterDescription::category

Definition at line 63 of file paramFile.h.

## description

String BALL::ParamFile::ParameterDescription::description

Definition at line 62 of file paramFile.h.

## hidden

bool BALL::ParamFile::ParameterDescription::hidden

Definition at line 76 of file paramFile.h.

## mandatory

bool BALL::ParamFile::ParameterDescription::mandatory

Definition at line 64 of file paramFile.h.

## name

String BALL::ParamFile::ParameterDescription::name

Definition at line 61 of file paramFile.h.

## supported_formats

list<String> BALL::ParamFile::ParameterDescription::supported_formats

In case of input-/output-files, this list should contain the supported file-extensions.
If the list is empty, no format restrictions are set.

Definition at line 73 of file paramFile.h.

## type

ParameterType BALL::ParamFile::ParameterDescription::type

Definition at line 66 of file paramFile.h.